"""Design command implementation for FTTH high-level design."""
from rich.console import Console
from rich.panel import Panel

console = Console()

def run_design(input_file: str, output: str) -> None:
    """Execute the design command logic."""
    console.print(Panel.fit("🌐 Creating FTTH Design", title="PyHLD"))
    console.print(f"Input file: {input_file}")
    console.print(f"Output will be saved to: {output}")